<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.dbcapp.mapper.record.CompanyMaterielProductMapper">

    <sql id="Base_Column_List">
        id,enterpriseCode,produceName,produceNo,produceType,produceUnit,remark,state,digest,quoted
    </sql>

    <select id="getProductResultBoByEpc" resultType="com.nantian.cloud.dbcapp.dto.ResultBo">
        SELECT produceName AS "label",produceNo AS "value"
        FROM company_materiel_product
        WHERE state = "0"
        <if test= "enterpriseCode != null" >
            AND enterpriseCode = #{enterpriseCode}
        </if>
        ORDER BY produceNo ASC
    </select>
</mapper>
